package org.studiorailgun.conversation.llm;

/**
 * A statement by a character in a conversation
 */
public class Statement {

    /**
     * Incrementer for ids
     */
    static long idIncrementer = 0;

    /**
     * The id of this statement
     */
    long id;

    /**
     * The raw content of the statement
     */
    String content;

    /**
     * The actor who said the statement
     */
    Actor actor;

    /**
     * The conversation this statement was uttered in
     */
    LLMConversation conversation;

    /**
     * Creates a statement
     * @param actor The actor who said the statement
     * @param content The content of the statement
     */
    public Statement(Actor actor, String content){
        this.id = idIncrementer;
        idIncrementer++;
        this.actor = actor;
        this.content = content;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Actor getActor() {
        return actor;
    }

    public void setActor(Actor actor) {
        this.actor = actor;
    }

    public LLMConversation getConversation() {
        return conversation;
    }

    public void setConversation(LLMConversation conversation) {
        this.conversation = conversation;
    }

    
    
}
